Subject: Re: bug#36171: 25.1; Emacs displays Hebrew text incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Jun 2019 19:29:18 +0300

> From: Raoul Comninos <[email-masked]>
> Date: Tue, 11 Jun 2019 17:11:37 +0200
> 
> Emacs does not correctly display Hebrew text with vowels. The vowels
> appear next to the consonants rather than beneath them. When they are
> beneath the consonants they are not in the correct position. There are a
> few other anomalies too, such as, the dagesh appears misplaced followed
> by a circle. If I export my documents with Hebrew text in org mode to html
> or odf then the Hebrew IS displayed correctly. I have tried changing the
> font, installing "unicode-fonts" and a host of other solutions. I have
> tried using different versions of Emacs. I use utf-8 as my default
> encoding system. If I open the same text document in LibreOffice, again,
> the text is displayed correctly. If I strip the Hebrew text of vowels
> then the consonants appear correctly in Emacs. If I use
> auto-composition-mode it makes no difference. The Hebrew text remains
> incorrectly displayed

This description most probably means that the font Emacs uses for
Hebrew characters either doesn't have glyphs for the diacritics, or
the font is somehow unsuitable for displaying Hebrew due to bad
metrics.

FWIW, Hebrew display works just fine for me since Emacs 24 and to this
day, including all the versions in-between.  So this certainly isn't
an inherent problem with Emacs.

Therefore, I suggest to investigate this one step at a time:

  . Does the problem happen in "emacs -Q"?  If not, some of your
    customizations cause the problem, and you need to find out which
    one(s).

  . If the problem does happen in "emacs -Q", please move the cursor
    to one instance of such incorrect display and type "C-u C-x =",
    then post here the full contents of the *Help* buffer that Emacs
    pops up in response.

Please note that auto-composition-mode _must_ be turned on for the
Hebrew diacritics to be displayed correctly.  So in all of the
experiments you will do during discussion of this problem, please
always have auto-composition-mode turned on (as it is by default).

Thanks.